Betulkan: Rangka Kerja .NET 4.7 tidak disokong pada sistem operasi ini

.Net Framework adalah infrastruktur pengaturcaraan yang diperkenalkan oleh Microsoft. Anda memerlukan .Net Framework untuk menjalankan pelbagai aplikasi dan perkhidmatan yang berbeza. Sebilangan besar aplikasi yang memerlukan .Net Framework dilengkapi dengan fail pemasangannya juga. Jadi, ia akan dipasang secara automatik pada sistem anda semasa memasang aplikasi. Tetapi, anda mungkin melihat ralat ".NET Framework 4.7 tidak disokong pada sistem operasi ini" ketika memasang aplikasi. Kesalahan ini akan menghalang anda daripada berjaya memasang aplikasi. Anda mungkin melihat ralat ini semasa mencuba memasang .Net Framework sebagai aplikasi / perkhidmatan mandiri.

Sebab mengapa ralat ini berlaku adalah sama seperti yang disebutkan pada mesej ralat. Walaupun .Net Framework disokong pada Windows 10 tetapi tidak serasi dengan semua versi Windows 10. Oleh itu, jika anda melihat mesej ini maka kemungkinan besar penyebab ralat ini ialah anda menjalankan versi Windows 10 yang tidak serasi dengan .Net Framework.

Kaedah 1: Kemas kini Windows 10

Satu-satunya jalan keluar untuk masalah ini adalah dengan mengemas kini Windows 10. Anda disarankan untuk memeriksa Kemas Kini Windows walaupun anda menggunakan Windows 10. versi terbaru kerana masalah ini disebabkan oleh sistem operasi yang tidak serasi, memasang semua Windows 10 yang tersedia kemas kini kemungkinan besar akan menyelesaikan masalah ini. Anda juga boleh memeriksa versi Windows 10 yang tepat dan versi yang diperlukan oleh .Net Framework dengan mengikuti langkah-langkah yang diberikan di bawah.

  1. Tahan kekunci Windows dan tekan R
  2. Taip winver dan tekan Enter

  1. Versi anda harus disebutkan di tetingkap yang baru dibuka. Nombor selepas Versi (di baris kedua) adalah nombor versi anda. Nombor hendaklah 1507 atau 1709. 2 digit pertama adalah tahun dan 2 yang kedua mewakili bulan. Oleh itu, jika anda mempunyai versi 1709, itu bermakna anda menjalankan versi yang dikeluarkan pada bulan September 2017

  1. Sekarang anda perlu memastikan bahawa anda mempunyai versi Windows 10 yang serasi dengan .Net Framework. Klik di sini dan klik pada Keperluan Sistem

Jika anda melihat penggunaan di Sistem pengendalian yang disokong seksyen, ia berkata Windows 10 Anniversary Update dan Windows 10 Pencipta maklumat . Oleh kerana banyak orang tidak biasa dengan nombor versi yang berkaitan dengan kemas kini Ulang Tahun dan Pencipta, kami telah menyebutnya di bawah

  • Kemas kini November (1511)
  • Kemas kini Ulang Tahun (14393)
  • Kemas kini Pencipta (1703)
  • Kemas kini Pencipta Kejatuhan (1709)
  • Kemas kini Pencipta Musim Bunga (1803)

Seperti yang anda lihat, Kemas kini Ulang Tahun mempunyai nombor versi 14393 dan Pembaruan Pencipta mempunyai versi 1703. Jadi, jika anda mempunyai versi yang lebih rendah daripada 14393 maka anda tidak akan dapat memasang .Net Framework 4.7 pada Windows 10. Sekarang cukup kemas kini Windows dan pastikan anda mempunyai versi Windows 10 terkini dan cuba lagi.